# MedicalCertificateCheckBoxType enum

Type of the checkbox.

Inheritance
  - Object
  - Enum
  - MedicalCertificateCheckBoxType
Available extensions
  - EnumName

## Values

UNKNOWN → const MedicalCertificateCheckBoxType

  Unknown checkbox type.

WORK_ACCIDENT → const MedicalCertificateCheckBoxType

  (Form 1) Work accident (Arbeitsunfall, Arbeitsunfall-folgen, Berufskrankheit) checkbox.

ASSIGNED_TO_ACCIDENT_INSURANCE_DOCTOR → const MedicalCertificateCheckBoxType

  (Form 1) Assigned to accident insurance doctor (dem Durchgangsarzt zugewiesen) checkbox.

INITIAL_CERTIFICATE → const MedicalCertificateCheckBoxType

  (Form 1) Initial certificate (Erstbescheinigung) checkbox.

RENEWED_CERTIFICATE → const MedicalCertificateCheckBoxType

  (Form 1) Renewed certificate (Folgebescheinigung) checkbox.

INSURED_PAY_CASE → const MedicalCertificateCheckBoxType

  (Form 1) Insured pay case (ab 7. AU-Woche oder sonstiger Krankengeldfall) checkbox.

FINAL_CERTIFICATE → const MedicalCertificateCheckBoxType

  (Form 1) Final certificate (Endbescheinigung) checkbox.

REQUIRES_CARE_YES → const MedicalCertificateCheckBoxType

  (Form 21a) Requires care yes (Die Art der Erkrankung macht die Betreuung und Beaufsichtigung notwendig... ja) checkbox.

REQUIRES_CARE_NO → const MedicalCertificateCheckBoxType

  (Form 21a) Requires care no (Die Art der Erkrankung macht die Betreuung und Beaufsichtigung notwendig... nein) checkbox.

ACCIDENT_YES → const MedicalCertificateCheckBoxType

  (Form 21a) Accident yes (Unfall... ja) checkbox.

ACCIDENT_NO → const MedicalCertificateCheckBoxType

  (Form 21a) Accident no (Unfall... nein) checkbox.

OTHER_ACCIDENT → const MedicalCertificateCheckBoxType

  (Form 1) Other accident (Sonstiger Unfall, Unfallfolgen) checkbox.

ENTITLEMENT_TO_CONTINUED_PAYMENT_YES → const MedicalCertificateCheckBoxType

  (Form 21a) Entitlement to continued payment yes (Anspruch auf Entgeltfortzahlung) checkbox.

ENTITLEMENT_TO_CONTINUED_PAYMENT_NO → const MedicalCertificateCheckBoxType

  (Form 21a) Entitlement to continued payment no (keinen Anspruch auf Entgeltfortzahlung) checkbox.

SICK_PAY_WAS_CLAIMED_NO → const MedicalCertificateCheckBoxType

  (Form 21a) Sick pay was claimed no (Krankengeld aus Anlass einer früheren Erkrankung des umseitig genannten Kindes wurde in diesem Kalenderjahr NICHT bezogen) checkbox.

SICK_PAY_WAS_CLAIMED_YES → const MedicalCertificateCheckBoxType

  (Form 21a) Sick pay was claimed yes (Krankengeld aus Anlass einer früheren Erkrankung des umseitig genannten Kindes wurde in diesem Kalenderjahr bezogen) checkbox.

SINGLE_PARENT_NO → const MedicalCertificateCheckBoxType

  (Form 21a) Single parent no (Ich bin Alleinerziehende(r)... nein) checkbox.

SINGLE_PARENT_YES → const MedicalCertificateCheckBoxType

  (Form 21a) Single parent yes (Ich bin Alleinerziehende(r)... ja) checkbox.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<MedicalCertificateCheckBoxType>
  A constant List of the values in this enum, in order of their declaration.